use libpijul;
use libpijul::fs_representation::*;
use errors::*;


pub fn get_branches(path: &str) -> Result<Vec<String>> {
    let mut vec = Vec::new();

    let repo = libpijul::Repository::open(pristine_dir(path), None).unwrap();
    let txn = repo.txn_begin().unwrap();

    let branches = txn.iter_branches(None).map(|x| String::from(x.name.as_str()));

    vec.extend(branches);
    return Ok(vec);
}


